Page MenuHomePhabricator

New API parameters for "gettingstartedgetpages" are not properly documented
Closed, ResolvedPublic

Description

On mw:Extension:GettingStarted#Task suggestion API, there are some API links which are currently broken:

returns 'The module "main" does not have a submodule "gettingstartedgetpages"'.

returns 'Unrecognized value for parameter 'action': gettingstartedgetpages'.

Event Timeline

He7d3r created this task.Jan 12 2015, 6:49 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.

[Please associate projects when creating task. Setting MediaWiki-extensions-GettingStarted here.]

He7d3r set Security to None.
Mattflaschen-WMF renamed this task from API for "gettingstartedgetpages" does not work to New API parameters for "gettingstartedgetpages" are not properly documented.Jan 13 2015, 12:11 AM
gerritbot added a subscriber: gerritbot.

Change 185662 had a related patch set uploaded (by Mattflaschen):
Clarify API documentation re task names

https://gerrit.wikimedia.org/r/185662

Patch-For-Review

I think https://www.mediawiki.org/w/index.php?title=Extension:GettingStarted&diff=1358908&oldid=1054325 mostly fixes this.

That patch is a useful supplement to clarify the api.php help page.

Change 185662 merged by jenkins-bot:
Clarify API documentation re task names

https://gerrit.wikimedia.org/r/185662

Aklapper triaged this task as Low priority.Jan 27 2015, 10:32 PM
Mattflaschen-WMF closed this task as Resolved.Jan 29 2015, 6:19 AM
Mattflaschen-WMF claimed this task.